Imports Sample_ASCII.PrintCENET
Imports Microsoft.Win32
Imports System.IO

Public Class Form1

    Private mCurLang As Int32 = 0

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        'Print' button
        Print(False)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        'Print Silent' button
        Print(True)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        'Language' button
        Dim menu As ContextMenu = New ContextMenu()
        Dim menuStr(6) As String
        menuStr(0) = "English"
        menuStr(1) = "Russian"
        menuStr(2) = "French"
        menuStr(3) = "Portuguese"
        menuStr(4) = "Italian"
        menuStr(5) = "Dutch"
        For i As Int32 = 0 To 5
            menu.MenuItems.Add(New MenuItem())
            menu.MenuItems(i).Text = menuStr(i)
            AddHandler menu.MenuItems(i).Click, AddressOf OnLangMenuClick
        Next
        menu.MenuItems(mCurLang).Checked = True
        menu.Show(Me, New Point(Me.Button3.Left + Me.Button3.Width / 2, Me.Button3.Top + Me.Button3.Height / 2))

    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        'Exit' button
        Close()
    End Sub

    Private Sub OnLangMenuClick(ByVal sender As System.Object, ByVal e As System.EventArgs)
        Dim m1 As MenuItem = sender
        If m1.Text = "English" Then
            mCurLang = 0
        ElseIf m1.Text = "Russian" Then
            mCurLang = 1
        ElseIf m1.Text = "French" Then
            mCurLang = 2
        ElseIf m1.Text = "Portuguese" Then
            mCurLang = 3
        ElseIf m1.Text = "Italian" Then
            mCurLang = 4
        ElseIf m1.Text = "Dutch" Then
            mCurLang = 5
        End If
    End Sub

    Private Sub Print(ByVal silent As Boolean)

        Dim print1 As PrintASCII
        Dim connected As Boolean = False
        Dim buf As String = "PrintASCII Test" 'output text

        Try
            print1 = New PrintASCII
        Catch x As Exception
            MessageBox.Show(x.Message, "Error")
            Return
        End Try

        ' library initialization (licence key is transfered as a parameter)
        print1.Init("My license key")

        ' set language of the user interface
        print1.Language = mCurLang

        If silent = True Then
            ' don't show port setup dialog, just print to file 'silent_out.prn'
            connected = print1.ConnectSilent(ASCII_PORT.ASCII_FILE, "\silent_out.prn")
        Else
            ' setup port
            Dim port As ASCII_PORT = print1.SetupPort(Me.Handle)
            ' connect, if selected printing to file, then set output file path
            If (port <> ASCII_PORT.ASCII_NONE) Then
                Dim param As String = ""
                If port = ASCII_PORT.ASCII_FILE Then
                    param = "\out.prn"
                End If
                connected = print1.Connect(port, param)
            End If
        End If

        If connected = True Then
            ' send string
            print1.SendString(buf)

            ' send bytes
            print1.SendByte(10)
            print1.SendByte(10)
            print1.SendByte(10)

            ' disconnect
            print1.Disconnect()

            ' show message for user
            If silent = True Then
                MessageBox.Show("Silent printing done !", "Sample_ASCII")
            End If
        End If

        ' library deinitialization
        print1.UnInit()

    End Sub
End Class
